# Interface LocaleProvider

public interface LocaleProvider
A service that is used to determine what the current locale is for a particular context or session. If no `LocaleProvider` service is available then the locale must be determined by other means, for example, by calling `Locale.getDefault()`.

More advanced environments can support multiple locales within a single system. For example, a server may support multiple users, each needing a different locale. In such an environment a `LocaleProvider` service must be registered that can determine the current locale for the context of the call to the `getLocale()` method.

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`Locale`
`getLocale()`
Determines the current locale for the context of the call to this method.

## Method Details

### getLocale

Locale getLocale()
Determines the current locale for the context of the call to this method. For environments that support a single system wide locale, this is equivalent to calling `Locale.getDefault()`.

The result of this method should not be retained or passed to other threads. The current locale can change any time and may be different for each thread.

Returns:
  The current locale.